Mengatasi Error Tampilan Index.php Saat Mengakses PHPMyAdmin

Biasanya untuk membuat web server pada linux, kami menggunakan webserver LAMPP (Linux Apache MySQL PHP PHPMyAdmin). Untuk versi terbaru, saat menginstall LAMPP akan berjalan lancar. Namun, saat mengakses PHPMyAdmin terjadi error dimana halaman login PHPMyAdmin memunculkan kode index.php dari phpmyadmin, misalnya seperti tulisan dibawah ini

 

?php
/* vim: set expandtab sw=4 ts=4 sts=4: */
/**
 * Main loader script
 *
 * @package PhpMyAdmin
 */

/**
 * Gets some core libraries and displays a top message if required
 */
require_once 'libraries/common.inc.php';

/**
 * display Git revision if requested
 */
require_once 'libraries/display_git_revision.lib.php';
require_once 'libraries/Template.class.php';

/**
 * pass variables to child pages
 */
$drops = array(
    'lang',
    'server',
    'collation_connection',
    'db',
    'table'
);
foreach ($drops as $each_drop) {
    if (array_key_exists($each_drop, $_GET)) {
        unset($_GET[$each_drop]);

...........

Sempat bingung juga kenapa terjadi seperti ini. Karena biasanya menginstall LAMPP lancar-lancar saja.

Setelah googling beberapa referensi, solusinya adalah dengan mengaktifkan penginterpretasi PHP. Karena untuk versi terbaru adalah PHP7.0 maka interpretasinya juga harus PHP7.0. Berikut panduan untuk menginstall /mengaktifkannya:

  1. Buka terminal
  2. Masuk ke akses root
  3. Ketikkan
    sudo apt-get install libapache2-mod-php7.0
  4. Coba kembali akses localhost/phpmyadmin

Halaman login phpmyadmin telah kembali seperti semula. Selamat mencoba